<script type="text/javascript">

function tratarDados(data, local){
	$(local).show();
    $(local).empty().html(data);
}

function preencherCombo(fcombo,fpk,farquivoPHP, fpadrao){
        opcaoRecarregar = '<option value="0">Procurando.... Aguarde....</option>';
	$(fcombo).empty().html(opcaoRecarregar);
	$.post(farquivoPHP,{ pk : fpk, padrao: fpadrao }, function(dados){
	$(fcombo).empty().html(dados);
	}
	);
}

function mostrarArquivo(arquivo,local){
//iniciarAjax();
var msg = $.msg('Carregando...',{header:'Informação'},{sticky:true});
$.post(arquivo,function(data){tratarDados(data,local);}).done(
function(data) {
msg.close();
}    
        );
}

function mostrarArquivoDados(arquivo,local,dados){
var msg = $.msg('Carregando...',{header:'Informação'},{sticky:true});
$.post(arquivo,dados,function(data){tratarDados(data,local);}).done(
function(data) {
msg.close();
}    
        );
}

function trocarIdioma(fcombo,acao,pk,lang,funcao){
	if (confirm("Deseja visualizar em outro Idioma? Você perderá as alterações não salvas!!!"))
	{   
		//mostrarFormAtualizar(acao,pk,$(fcombo).val());
                funcao = funcao + '(acao,pk,$(fcombo).val())';
                eval(funcao);
	} else
	{
		$(fcombo).val(lang);
	}
}

function trocarIdiomaAjax(arquivo,local,fcombo,acao,pk,lang){
	if (confirm("Deseja visualizar em outro Idioma? Você perderá as alterações não salvas"))
	{
		dados = 'acao=' + acao + '&pk=' + pk + '&lang=' + $(fcombo).val();
		mostrarArquivoDados(arquivo,local, dados);
	} else
	{

		$(fcombo).val(lang);
	}
}

function iniciarDataTable(local){
    $(local).dataTable({"oLanguage": {
            "sProcessing":     "Processando...",
            "sSearch":         "Localizar&nbsp;:",
            "sLengthMenu":     "Registros por página _MENU_",
            "sInfo":           "Mostrando de _START_ até _END_ de um total de _TOTAL_ registros",
            "sInfoEmpty":      "mostrando de 0 até 0 de um total de 0 registros",
            "sInfoFiltered":   "(Filtrados de um total de _MAX_ registros)",
            "sInfoPostFix":    "",
            "sLoadingRecords": "Carregando...",
            "sZeroRecords":    "Nenhum registro para ser mostrado",
            "sEmptyTable":     "Nenhum registro para ser mostrado",
            "oPaginate": {
                "sFirst":      "Primeiro",
                "sPrevious":   "Anterior",
                "sNext":       "Próximo",
                "sLast":       "Últimos"
            },
            "oAria": {
                "sSortAscending":  ": habilitado para classificar a coluna em ordem crescente",
                "sSortDescending": ": habilitado para classificar a coluna em ordem decrescente"
            }
        }});
}

</script>